AxisOrientation (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.modca

## Enum AxisOrientation

- java.lang.Object
- - java.lang.Enum<AxisOrientation>
  - - org.apache.fop.afp.modca.AxisOrientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AxisOrientation>

      public enum AxisOrientation
      extends java.lang.Enum<AxisOrientation>

  Represents the 4 bytes that specify the axis-area rotation reference coordinate system

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RIGHT_HANDED_0`
    `RIGHT_HANDED_180`
    `RIGHT_HANDED_270`
    `RIGHT_HANDED_90`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AxisOrientation` | `getRightHandedAxisOrientationFor(int orientation)` Gets the right-handed axis orientation object for a given orientation in degrees.
    `static AxisOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AxisOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `writeTo(byte[] out, int offset)`
    `void` | `writeTo(java.io.OutputStream stream)` Writes the axis orientation area bytes to the output stream.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RIGHT_HANDED_0

          public static final AxisOrientation RIGHT_HANDED_0

    - #### RIGHT_HANDED_90

          public static final AxisOrientation RIGHT_HANDED_90

    - #### RIGHT_HANDED_180

          public static final AxisOrientation RIGHT_HANDED_180

    - #### RIGHT_HANDED_270

          public static final AxisOrientation RIGHT_HANDED_270

  - ### Method Detail

    - #### values

          public static AxisOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AxisOrientation c : AxisOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AxisOrientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### writeTo

          public void writeTo(byte[] out,
                              int offset)

    - #### writeTo

          public void writeTo(java.io.OutputStream stream)
                       throws java.io.IOException

      Writes the axis orientation area bytes to the output stream.
      Parameters:
        `stream` - the output stream to write to
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getRightHandedAxisOrientationFor

          public static AxisOrientation getRightHandedAxisOrientationFor(int orientation)

      Gets the right-handed axis orientation object for a given orientation in degrees.
      Parameters:
        `orientation` - the orientation in degrees
      Returns:
        the `AxisOrientation` object

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.